Support

Requirements

Software Requirements

Only a major modern web browser and a computer with an internet connection is required to run the SignCommand software. We officially support the following web browsers. Other browsers may work, but are not officially supported for use with the software.

  • Google Chrome (recommended) – version 52 and later
  • Microsoft Internet Explorer – version 11.0.9600.17801 and later
  • Mozilla FireFox – version 47 and later (To preview video and playlists, you must have a sign of 48 pixels in height or larger.)
  • Apple Safari – version 9.1.2 and later

Network Requirements

You must have an always-on internet connection that is accessible to the sign. This is usually achieved by connecting the sign to the same network used by the other computers or devices in your organization. However, it is not necessary for the sign to be on the same network; only the internet connection is required. See our New Sign Setup video for more information.

Hardware Requirements

You must have an LED sign that is SignCommand compatible. If you do not yet have a sign, contact us to be connected with a sign provider in your area. If you already have a sign, ask your sign provider if your sign is SignCommand compatible.